Index: backend/bootstrap/bootstrap.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/bootstrap/bootstrap.c,v
retrieving revision 1.189
diff -c -r1.189 bootstrap.c
*** backend/bootstrap/bootstrap.c	21 Jul 2004 20:34:45 -0000	1.189
--- backend/bootstrap/bootstrap.c	31 Jul 2004 15:30:37 -0000
***************
*** 238,243 ****
--- 238,251 ----
  		userPGDATA = getenv("PGDATA");	/* Null if no PGDATA variable */
  	}
  
+ 	/* Compute paths, if we didn't inherit them from postmaster */
+ 	if (my_exec_path[0] == '\0')
+ 	{
+ 		if (find_my_exec(argv[0], my_exec_path) < 0)
+ 			elog(FATAL, "%s: could not locate my own executable path",
+ 				 argv[0]);
+ 	}
+ 
  	/* Ignore the initial -boot argument, if present */
  	if (argc > 1 && strcmp(argv[1], "-boot") == 0)
  	{
